#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	acpid
Version		:	2.0.32
Release		:	14.8.0.0%{?dist}
Summary		:	ACPI Event Daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://downloads.sourceforge.net/acpid2/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc

Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
'%{name} is a daemon that dispatches ACPI events to user-space
programs.
 

#-----------------------------------------------------------------------------
%files		
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/lid
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/lid.sh
%{_bindir}/acpi_listen
%{_sbindir}/%{name}
%{_sbindir}/kacpimon
%{_mandir}/man8/acpid.8.gz
%{_mandir}/man8/acpi_listen.8.gz
%{_mandir}/man8/kacpimon.8.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  fi

%post
/sbin/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name}d condrestart > /dev/null 2>&1 || :

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#setting configuration files
%{__mkdir_p} %{buildroot}%{_sysconfdir}/acpi/events
%{__cp} -a						\
	%{name}-ok_addon/lid				\
	%{buildroot}%{_sysconfdir}/acpi/events/
%{__cp} -a						\
	%{name}-ok_addon/*.sh				\
	%{buildroot}%{_sysconfdir}/acpi/

#setting daemon file
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a						\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#-----------------------------------------------------------------------------
%changelog
